Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Attributes
tesseract::NeuralNet::Node Struct Reference

`#include <neural_net.h>`

List of all members.

## Public Attributes

float | out
float | bias
int | fan_in_cnt
WeightedNode * | inputs

## Detailed Description

Definition at line 52 of file neural_net.h.

## Member Data Documentation

float tesseract::NeuralNet::Node::bias

Definition at line 54 of file neural_net.h.

int tesseract::NeuralNet::Node::fan_in_cnt

Definition at line 55 of file neural_net.h.

WeightedNode* tesseract::NeuralNet::Node::inputs

Definition at line 56 of file neural_net.h.

float tesseract::NeuralNet::Node::out

Definition at line 53 of file neural_net.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/neural_networks/runtime/neural_net.h